%define name powermanga
%define version 0.71c
%define release 1mdk
%define prefix %{_prefix}

Summary: Shoot them up with 3d graphics
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Artistic
Group: Games/Arcade
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: http://www.tlk.fr/lesjeux/%{name}-%{version}.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
Patch0: powermanga-0.71c-fix-flags.patch.bz2
Patch1: powermanga-0.71c-add-missing-xxx-files.patch.bz2
Patch2: powermanga-0.71-add-pkgdatadir.patch.bz2
Patch3: powermanga-0.71c-fix-scorefile.patch.bz2
Patch4: powermanga-0.71c-fix-files-path.patch.bz2
ExclusiveArch: %{ix86}
URL: http://www.tlk.fr/jeu.php?ref=powli

%description
In this shoot them up with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises..

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.hpp" -exec perl -pi -e '$_.="\n" if eof' {} \;

%build
PREFIX=%{_prefix} CXXFLAGS=$RPM_OPT_FLAGS make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man6
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Power Manga" \
  longtitle="Shoot them up with 3d graphics"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%attr(-, root, games) %{_gamesbindir}/*
%{_gamesdatadir}/*
%{_mandir}/*/*.bz2
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%attr(-, games, games) %{_localstatedir}/*/*

%changelog
* Thu Mar 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-1mdk
- 0.71c

* Wed Dec 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.71-2mdk
- ix86 only.

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71-1mdk
- mdk package
